Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06967 Crash/Freeze Critical (emulator) Always May 8, 2018, 22:10 Sep 6, 2018, 13:00
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Robbbert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver msx.cpp
Version 0.197 Fixed in Version 0.202 Build Debug
Summary MESS-specific 06967: canonv30f: [debug] Assertion Failed! m_entrymap.find(name) == m_entrymap.end()
Description
sg1000m3, sms1, sms1br, sms1kr, sms1krfm, sms1pal, sms1paln, sms2br, sms2paln, smsj ,smssdisp - sms.cpp
canonv30f - msx.cpp

When attempting to run a machine listed above with a DEBUG=1 build, you get the following:

Assertion failed!
File: ../../../../../src/lib/util/options.cpp, Line 435
Expression: m_entrymap.find(name) == m_entrymap.end()
Steps To Reproduce
Additional Information First noticed with debug build of 0.188 (0.187 works as expected)
Flags Debug build specific
Regression Version 0.188
Affected Sets / Systems canonv30f
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.15020
cuavas
Administrator
May 10, 2018, 03:35
I know what causes this. It needs some serious refactoring to fix.
User avatar
No.15385
Tafoid
Administrator
Sep 2, 2018, 22:14
As of 0.201 all the sms.cpp sets are fixed. the one remaining is msx.cpp so changing the driver accordingly.
User avatar
No.15405
Robbbert
Developer
Sep 6, 2018, 11:48
edited on: Sep 6, 2018, 11:49
Did a change which might fix this (canonv30f), if someone with a debug build could please check..

https://github.com/mamedev/mame/commit/109b524e0fc1ed7d3afe9068eab962b02a3c48a1
User avatar
No.15406
AJR
Developer
Sep 6, 2018, 12:12
I can confirm that canonv30f works now with a DEBUG=1 build.
User avatar
No.15407
Robbbert
Developer
Sep 6, 2018, 13:00
Thank you for checking. :)